<?php

namespace app\index\controller;

use app\common\controller\Frontend;
use think\facade\Request;
use think\Db;

class Index extends Frontend
{

    protected $noNeedLogin = '*';
    protected $noNeedRight = '*';
    protected $layout = '';

    //首页
    public function index()
    {   
        //获取当前方法名
        $action=request()->action();
        $this->assign('action',$action);
        return $this->view->fetch();
    }


    //关于我们
    public function aboutus()
    {
        //获取当前方法名
        $action=request()->action();
        $this->assign('action',$action);
        return $this->view->fetch();
    }

    //app开发
    public function appdevel(){
        //获取当前方法名
        $action=request()->action();
        $this->assign('action',$action);
        return $this->view->fetch();
    }


    //小程序开发
    public function appletsdev(){
        //获取当前方法名
        $action=request()->action();
        $this->assign('action',$action);
        return $this->view->fetch();
    }

    //网页定制开发
    public function softwaredev(){
        //获取当前方法名
        $action=request()->action();
        $this->assign('action',$action);
        return $this->view->fetch();
    }
    


    //联系我们
    public function contactus(){
        //获取当前方法名
        $action=request()->action();
        $this->assign('action',$action);
        return $this->view->fetch();
    }
    
    //招商加盟
    public function joinin(){
        //获取当前方法名
        $action=request()->action();
        $this->assign('action',$action);
        return $this->view->fetch();
    }


    //新闻中心
    public function news(){
        $reuurl = request()->url();
        $reuurl = substr($reuurl,6);
        //var_dump($reuurl);die;
        if(is_numeric($reuurl)){   
            //是数字
        }else{
           //不是数字
           $reuurl =  1;
        }
        $page = $reuurl;
        $page = $page-1;
        $pagesize = 5;
        $pagenum = $page*$pagesize;
        $need_field = ['news_id','news_img','news_title','news_comtent','news_view','news_sort','secondary_title', 'FROM_UNIXTIME(news_createtime,"%Y-%m-%d") as news_createtime'];
        $newslist =  Db::name('news')->field($need_field)->limit($pagenum,$pagesize )->select();
        $news = Db::name('news')->select();
        $count = count($news);
        $action=request()->action();//获取当前方法名
        $this->assign('thispage',$page);
        $this->assign('count',$count);
        $this->assign('action',$action);
        $this->assign('pagesize',$pagesize);
        $this->assign('newslist',$newslist);
       
        return $this->view->fetch();
    }

    //新闻详情
    public function newsdataile(){
        $reuurl = request()->url();
        $newsid = substr($reuurl,13);
        if(is_numeric($reuurl)){   
            //是数字
        }else{
           //不是数字
           $newsid =  1;
        }
        $need_field = ['news_id','news_img','news_title','news_comtent','news_view','news_sort','secondary_title', 'FROM_UNIXTIME(news_createtime,"%Y-%m-%d") as news_createtime'];
        $detaile =  Db::name('news')->field($need_field)->where('news_id',$newsid)->select();
        if(count($detaile)!=0){
            $detaile = $detaile[0];
        }
        // var_dump($detaile);die;
        //获取当前方法名
        $action=request()->action();
        $this->assign('detaile',$detaile);
        $this->assign('action',$action);
        return $this->view->fetch();
    }
    
    /**
     * 添加留言
     */
    public function addleaveamsg(){
        $fullname = $this->request->post('fullname');
        $gender = $this->request->post('gender');
        $region = $this->request->post('region');
        $userqq = $this->request->post('userqq');
        $phone = $this->request->post('phone');
        $email = $this->request->post('email');
        $content = $this->request->post('content');
        $addtime = time();
        $adddata = [
            'fullname' => $fullname,
            'gender' => $gender,
            'region' => $region,
            'userqq' => $userqq,
            'phone' => $phone,
            'email' => $email,
            'content' => $content,
            'addtime'=>$addtime
        ];
        if($adddata["fullname"] == ""){
            return ['code' => -1,'data'=>[],'msg' => '姓名不能为空'];
        }
        if($adddata["region"] == ""){
            return ['code' => -3,'data'=>[],'msg' => '地址不能为空'];
        }
        if($adddata["phone"] == ""){
            return ['code' => -4,'data'=>[],'msg' => '电话不能为空'];
        }
        try {
            $res = Db::name('leaveamsg')->insert($adddata);
            if($res>0){
                return ['code' => 0,'data'=>[],'msg' => '提交成功,请等待工作人员与您联系.'];
            }else{
                return ['code' => 0,'data'=>[],'msg' => '添加失败'];
            }
        } catch (Exception $e) {
            return ['code' => -5,'data'=>[],'msg' => '错误异常.'];
        }        
    }

    /***
     * 提交项目开发需求
     * 
     */
    public function adddevlog(){
        $projectname = $this->request->post('projectname');
        $fullname = $this->request->post('fullname');
        $phone = $this->request->post('phone');
        $corporatename = $this->request->post('corporatename');
        $addtime = time();
        $adddata = [
            'projectname' => $projectname,
            'fullname' => $fullname,
            'phone' => $phone,
            'corporatename' => $corporatename,
            'addtime' => $addtime,
        ];
        if($adddata["projectname"] == ""){
            return ['code' => -1,'data'=>[],'msg' => '项目名不能为空'];
        }
        if($adddata["fullname"] == ""){
            return ['code' => -3,'data'=>[],'msg' => '联系人姓名不能为空'];
        }
        if($adddata["phone"] == ""){
            return ['code' => -4,'data'=>[],'msg' => '电话不能为空'];
        }
        try {
            $res = Db::name('devleavlog')->insert($adddata);
            if($res>0){
                return ['code' => 0,'data'=>[],'msg' => '提交成功,请等待工作人员与您联系.'];
            }else{
                return ['code' => 0,'data'=>[],'msg' => '添加失败'];
            }
        } catch (Exception $e) {
            return ['code' => -5,'data'=>[],'msg' => '错误异常.'];
        }        
    }

}
