/*
Navicat MySQL Data Transfer

Source Server         : 本地
Source Server Version : 50726
Source Host           : localhost:3306
Source Database       : luma_website

Target Server Type    : MYSQL
Target Server Version : 50726
File Encoding         : 65001

Date: 2021-03-07 17:53:37
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for fa_admin
-- ----------------------------
DROP TABLE IF EXISTS `fa_admin`;
CREATE TABLE `fa_admin` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `username` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '用户名',
  `nickname` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '昵称',
  `password` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '密码',
  `salt` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '密码盐',
  `avatar` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '头像',
  `email` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '电子邮箱',
  `loginfailure` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '失败次数',
  `logintime` int(10) DEFAULT NULL COMMENT '登录时间',
  `loginip` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '登录IP',
  `createtime` int(10) DEFAULT NULL COMMENT '创建时间',
  `updatetime` int(10) DEFAULT NULL COMMENT '更新时间',
  `token` varchar(59) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT 'Session标识',
  `status` varchar(30) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'normal' COMMENT '状态',
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='管理员表';

-- ----------------------------
-- Records of fa_admin
-- ----------------------------
INSERT INTO `fa_admin` VALUES ('1', 'admin', 'Admin', 'ec8fadeafaba167088c6d55225840071', 'e6cfd9', '/assets/img/avatar.png', 'admin@admin.com', '0', '1615096186', '127.0.0.1', '1492186163', '1615096186', 'd98f6128-c6a7-4a67-b5a0-321f533ba31f', 'normal');

-- ----------------------------
-- Table structure for fa_admin_log
-- ----------------------------
DROP TABLE IF EXISTS `fa_admin_log`;
CREATE TABLE `fa_admin_log` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `admin_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '管理员ID',
  `username` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '管理员名字',
  `url` varchar(1500) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '操作页面',
  `title` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '日志标题',
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '内容',
  `ip` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT 'IP',
  `useragent` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT 'User-Agent',
  `createtime` int(10) DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`),
  KEY `name` (`username`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='管理员日志表';

-- ----------------------------
-- Records of fa_admin_log
-- ----------------------------
INSERT INTO `fa_admin_log` VALUES ('1', '1', 'admin', '/srMLgYvykH.php/index/login?url=%2FsrMLgYvykH.php', '登录', '{\"url\":\"\\/srMLgYvykH.php\",\"__token__\":\"***\",\"username\":\"admin\",\"password\":\"***\",\"captcha\":\"4ad2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/74.0.3729.131 Safari/537.36', '1615011569');
INSERT INTO `fa_admin_log` VALUES ('2', '1', 'admin', '/srMLgYvykH.php/ajax/upload', '', '[]', '127.0.0.1', 'Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/74.0.3729.131 Safari/537.36', '1615017681');
INSERT INTO `fa_admin_log` VALUES ('3', '1', 'admin', '/srMLgYvykH.php/category/add?dialog=1', '分类管理 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"type\":\"default\",\"pid\":\"0\",\"name\":\"文章\",\"nickname\":\"文章\",\"flag\":[\"hot\",\"index\",\"recommend\"],\"image\":\"\\/uploads\\/20210306\\/d0efcc58e71ca4dde16e33a34d55409e.png\",\"keywords\":\"文章\",\"description\":\"文章\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/74.0.3729.131 Safari/537.36', '1615017689');
INSERT INTO `fa_admin_log` VALUES ('4', '1', 'admin', '/srMLgYvykH.php/index/login?url=%2FsrMLgYvykH.php', '登录', '{\"url\":\"\\/srMLgYvykH.php\",\"__token__\":\"***\",\"username\":\"admin\",\"password\":\"***\",\"captcha\":\"CTCH\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/74.0.3729.131 Safari/537.36', '1615096186');
INSERT INTO `fa_admin_log` VALUES ('5', '1', 'admin', '/srMLgYvykH.php/auth/rule/multi', '权限管理 / 菜单规则', '{\"action\":\"\",\"ids\":\"4\",\"params\":\"ismenu=0\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/74.0.3729.131 Safari/537.36', '1615105486');
INSERT INTO `fa_admin_log` VALUES ('6', '1', 'admin', '/srMLgYvykH.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"leaving\",\"title\":\"留言管理\",\"icon\":\"fa fa-circle-o\",\"weigh\":\"0\",\"condition\":\"\",\"remark\":\"留言管理\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/74.0.3729.131 Safari/537.36', '1615105958');
INSERT INTO `fa_admin_log` VALUES ('7', '1', 'admin', '/srMLgYvykH.php/auth/rule/edit/ids/85?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"leaving\\/leaving\",\"title\":\"留言管理\",\"icon\":\"fa fa-circle-o\",\"weigh\":\"0\",\"condition\":\"\",\"remark\":\"留言管理\",\"status\":\"normal\"},\"ids\":\"85\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/74.0.3729.131 Safari/537.36', '1615105993');
INSERT INTO `fa_admin_log` VALUES ('8', '1', 'admin', '/srMLgYvykH.php/auth/rule/edit/ids/85?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"leaving\",\"title\":\"留言管理\",\"icon\":\"fa fa-circle-o\",\"weigh\":\"0\",\"condition\":\"\",\"remark\":\"留言管理\",\"status\":\"normal\"},\"ids\":\"85\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/74.0.3729.131 Safari/537.36', '1615106098');

-- ----------------------------
-- Table structure for fa_area
-- ----------------------------
DROP TABLE IF EXISTS `fa_area`;
CREATE TABLE `fa_area` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `pid` int(10) DEFAULT NULL COMMENT '父id',
  `shortname` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '简称',
  `name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '名称',
  `mergename` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '全称',
  `level` tinyint(4) DEFAULT NULL COMMENT '层级 0 1 2 省市区县',
  `pinyin` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '拼音',
  `code` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '长途区号',
  `zip` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '邮编',
  `first` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '首字母',
  `lng` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '经度',
  `lat` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '纬度',
  PRIMARY KEY (`id`),
  KEY `pid` (`pid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='地区表';

-- ----------------------------
-- Records of fa_area
-- ----------------------------

-- ----------------------------
-- Table structure for fa_attachment
-- ----------------------------
DROP TABLE IF EXISTS `fa_attachment`;
CREATE TABLE `fa_attachment` (
  `id` int(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `admin_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '管理员ID',
  `user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '会员ID',
  `url` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '物理路径',
  `imagewidth` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '宽度',
  `imageheight` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '高度',
  `imagetype` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '图片类型',
  `imageframes` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '图片帧数',
  `filename` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '文件名称',
  `filesize` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '文件大小',
  `mimetype` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT 'mime类型',
  `extparam` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '透传数据',
  `createtime` int(10) DEFAULT NULL COMMENT '创建日期',
  `updatetime` int(10) DEFAULT NULL COMMENT '更新时间',
  `uploadtime` int(10) DEFAULT NULL COMMENT '上传时间',
  `storage` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'local' COMMENT '存储位置',
  `sha1` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '文件 sha1编码',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='附件表';

-- ----------------------------
-- Records of fa_attachment
-- ----------------------------
INSERT INTO `fa_attachment` VALUES ('1', '1', '0', '/assets/img/qrcode.png', '150', '150', 'png', '0', 'qrcode.png', '21859', 'image/png', '', '1499681848', '1499681848', '1499681848', 'local', '17163603d0263e4838b9387ff2cd4877e8b018f6');
INSERT INTO `fa_attachment` VALUES ('2', '1', '0', '/uploads/20210306/d0efcc58e71ca4dde16e33a34d55409e.png', '200', '200', 'png', '0', '导航.png', '6818', 'image/png', '', '1615017681', '1615017681', '1615017681', 'local', 'ce1e7c80fbce4c2ac22c5224133324bc64a48eea');

-- ----------------------------
-- Table structure for fa_auth_group
-- ----------------------------
DROP TABLE IF EXISTS `fa_auth_group`;
CREATE TABLE `fa_auth_group` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `pid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '父组别',
  `name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '组名',
  `rules` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '规则ID',
  `createtime` int(10) DEFAULT NULL COMMENT '创建时间',
  `updatetime` int(10) DEFAULT NULL COMMENT '更新时间',
  `status` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '状态',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='分组表';

-- ----------------------------
-- Records of fa_auth_group
-- ----------------------------
INSERT INTO `fa_auth_group` VALUES ('1', '0', 'Admin group', '*', '1490883540', '149088354', 'normal');
INSERT INTO `fa_auth_group` VALUES ('2', '1', 'Second group', '13,14,16,15,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,40,41,42,43,44,45,46,47,48,49,50,55,56,57,58,59,60,61,62,63,64,65,1,9,10,11,7,6,8,2,4,5', '1490883540', '1505465692', 'normal');
INSERT INTO `fa_auth_group` VALUES ('3', '2', 'Third group', '1,4,9,10,11,13,14,15,16,17,40,41,42,43,44,45,46,47,48,49,50,55,56,57,58,59,60,61,62,63,64,65,5', '1490883540', '1502205322', 'normal');
INSERT INTO `fa_auth_group` VALUES ('4', '1', 'Second group 2', '1,4,13,14,15,16,17,55,56,57,58,59,60,61,62,63,64,65', '1490883540', '1502205350', 'normal');
INSERT INTO `fa_auth_group` VALUES ('5', '2', 'Third group 2', '1,2,6,7,8,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34', '1490883540', '1502205344', 'normal');

-- ----------------------------
-- Table structure for fa_auth_group_access
-- ----------------------------
DROP TABLE IF EXISTS `fa_auth_group_access`;
CREATE TABLE `fa_auth_group_access` (
  `uid` int(10) unsigned NOT NULL COMMENT '会员ID',
  `group_id` int(10) unsigned NOT NULL COMMENT '级别ID',
  UNIQUE KEY `uid_group_id` (`uid`,`group_id`),
  KEY `uid` (`uid`),
  KEY `group_id` (`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='权限分组表';

-- ----------------------------
-- Records of fa_auth_group_access
-- ----------------------------
INSERT INTO `fa_auth_group_access` VALUES ('1', '1');

-- ----------------------------
-- Table structure for fa_auth_rule
-- ----------------------------
DROP TABLE IF EXISTS `fa_auth_rule`;
CREATE TABLE `fa_auth_rule` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type` enum('menu','file') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'file' COMMENT 'menu为菜单,file为权限节点',
  `pid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '父ID',
  `name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '规则名称',
  `title` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '规则名称',
  `icon` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '图标',
  `condition` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '条件',
  `remark` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '备注',
  `ismenu` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '是否为菜单',
  `createtime` int(10) DEFAULT NULL COMMENT '创建时间',
  `updatetime` int(10) DEFAULT NULL COMMENT '更新时间',
  `weigh` int(10) NOT NULL DEFAULT '0' COMMENT '权重',
  `status` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '状态',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`) USING BTREE,
  KEY `pid` (`pid`),
  KEY `weigh` (`weigh`)
) ENGINE=InnoDB AUTO_INCREMENT=86 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='节点表';

-- ----------------------------
-- Records of fa_auth_rule
-- ----------------------------
INSERT INTO `fa_auth_rule` VALUES ('1', 'file', '0', 'dashboard', 'Dashboard', 'fa fa-dashboard', '', 'Dashboard tips', '1', '1497429920', '1497429920', '143', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('2', 'file', '0', 'general', 'General', 'fa fa-cogs', '', '', '1', '1497429920', '1497430169', '137', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('3', 'file', '0', 'category', 'Category', 'fa fa-leaf', '', 'Category tips', '1', '1497429920', '1497429920', '119', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('4', 'file', '0', 'addon', 'Addon', 'fa fa-rocket', '', 'Addon tips', '0', '1502035509', '1615105486', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('5', 'file', '0', 'auth', 'Auth', 'fa fa-group', '', '', '1', '1497429920', '1497430092', '99', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('6', 'file', '2', 'general/config', 'Config', 'fa fa-cog', '', 'Config tips', '1', '1497429920', '1497430683', '60', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('7', 'file', '2', 'general/attachment', 'Attachment', 'fa fa-file-image-o', '', 'Attachment tips', '1', '1497429920', '1497430699', '53', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('8', 'file', '2', 'general/profile', 'Profile', 'fa fa-user', '', '', '1', '1497429920', '1497429920', '34', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('9', 'file', '5', 'auth/admin', 'Admin', 'fa fa-user', '', 'Admin tips', '1', '1497429920', '1497430320', '118', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('10', 'file', '5', 'auth/adminlog', 'Admin log', 'fa fa-list-alt', '', 'Admin log tips', '1', '1497429920', '1497430307', '113', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('11', 'file', '5', 'auth/group', 'Group', 'fa fa-group', '', 'Group tips', '1', '1497429920', '1497429920', '109', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('12', 'file', '5', 'auth/rule', 'Rule', 'fa fa-bars', '', 'Rule tips', '1', '1497429920', '1497430581', '104', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('13', 'file', '1', 'dashboard/index', 'View', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '136', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('14', 'file', '1', 'dashboard/add', 'Add', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '135', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('15', 'file', '1', 'dashboard/del', 'Delete', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '133', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('16', 'file', '1', 'dashboard/edit', 'Edit', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '134', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('17', 'file', '1', 'dashboard/multi', 'Multi', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '132', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('18', 'file', '6', 'general/config/index', 'View', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '52', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('19', 'file', '6', 'general/config/add', 'Add', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '51', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('20', 'file', '6', 'general/config/edit', 'Edit', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '50', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('21', 'file', '6', 'general/config/del', 'Delete', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '49', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('22', 'file', '6', 'general/config/multi', 'Multi', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '48', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('23', 'file', '7', 'general/attachment/index', 'View', 'fa fa-circle-o', '', 'Attachment tips', '0', '1497429920', '1497429920', '59', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('24', 'file', '7', 'general/attachment/select', 'Select attachment', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '58', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('25', 'file', '7', 'general/attachment/add', 'Add', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '57', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('26', 'file', '7', 'general/attachment/edit', 'Edit', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '56', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('27', 'file', '7', 'general/attachment/del', 'Delete', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '55', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('28', 'file', '7', 'general/attachment/multi', 'Multi', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '54', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('29', 'file', '8', 'general/profile/index', 'View', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '33', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('30', 'file', '8', 'general/profile/update', 'Update profile', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '32', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('31', 'file', '8', 'general/profile/add', 'Add', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '31', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('32', 'file', '8', 'general/profile/edit', 'Edit', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '30', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('33', 'file', '8', 'general/profile/del', 'Delete', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '29', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('34', 'file', '8', 'general/profile/multi', 'Multi', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '28', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('35', 'file', '3', 'category/index', 'View', 'fa fa-circle-o', '', 'Category tips', '0', '1497429920', '1497429920', '142', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('36', 'file', '3', 'category/add', 'Add', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '141', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('37', 'file', '3', 'category/edit', 'Edit', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '140', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('38', 'file', '3', 'category/del', 'Delete', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '139', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('39', 'file', '3', 'category/multi', 'Multi', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '138', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('40', 'file', '9', 'auth/admin/index', 'View', 'fa fa-circle-o', '', 'Admin tips', '0', '1497429920', '1497429920', '117', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('41', 'file', '9', 'auth/admin/add', 'Add', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '116', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('42', 'file', '9', 'auth/admin/edit', 'Edit', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '115', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('43', 'file', '9', 'auth/admin/del', 'Delete', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '114', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('44', 'file', '10', 'auth/adminlog/index', 'View', 'fa fa-circle-o', '', 'Admin log tips', '0', '1497429920', '1497429920', '112', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('45', 'file', '10', 'auth/adminlog/detail', 'Detail', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '111', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('46', 'file', '10', 'auth/adminlog/del', 'Delete', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '110', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('47', 'file', '11', 'auth/group/index', 'View', 'fa fa-circle-o', '', 'Group tips', '0', '1497429920', '1497429920', '108', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('48', 'file', '11', 'auth/group/add', 'Add', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '107', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('49', 'file', '11', 'auth/group/edit', 'Edit', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '106', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('50', 'file', '11', 'auth/group/del', 'Delete', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '105', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('51', 'file', '12', 'auth/rule/index', 'View', 'fa fa-circle-o', '', 'Rule tips', '0', '1497429920', '1497429920', '103', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('52', 'file', '12', 'auth/rule/add', 'Add', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '102', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('53', 'file', '12', 'auth/rule/edit', 'Edit', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '101', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('54', 'file', '12', 'auth/rule/del', 'Delete', 'fa fa-circle-o', '', '', '0', '1497429920', '1497429920', '100', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('55', 'file', '4', 'addon/index', 'View', 'fa fa-circle-o', '', 'Addon tips', '0', '1502035509', '1502035509', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('56', 'file', '4', 'addon/add', 'Add', 'fa fa-circle-o', '', '', '0', '1502035509', '1502035509', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('57', 'file', '4', 'addon/edit', 'Edit', 'fa fa-circle-o', '', '', '0', '1502035509', '1502035509', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('58', 'file', '4', 'addon/del', 'Delete', 'fa fa-circle-o', '', '', '0', '1502035509', '1502035509', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('59', 'file', '4', 'addon/downloaded', 'Local addon', 'fa fa-circle-o', '', '', '0', '1502035509', '1502035509', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('60', 'file', '4', 'addon/state', 'Update state', 'fa fa-circle-o', '', '', '0', '1502035509', '1502035509', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('63', 'file', '4', 'addon/config', 'Setting', 'fa fa-circle-o', '', '', '0', '1502035509', '1502035509', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('64', 'file', '4', 'addon/refresh', 'Refresh', 'fa fa-circle-o', '', '', '0', '1502035509', '1502035509', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('65', 'file', '4', 'addon/multi', 'Multi', 'fa fa-circle-o', '', '', '0', '1502035509', '1502035509', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('66', 'file', '0', 'user', 'User', 'fa fa-list', '', '', '1', '1516374729', '1516374729', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('67', 'file', '66', 'user/user', 'User', 'fa fa-user', '', '', '1', '1516374729', '1516374729', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('68', 'file', '67', 'user/user/index', 'View', 'fa fa-circle-o', '', '', '0', '1516374729', '1516374729', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('69', 'file', '67', 'user/user/edit', 'Edit', 'fa fa-circle-o', '', '', '0', '1516374729', '1516374729', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('70', 'file', '67', 'user/user/add', 'Add', 'fa fa-circle-o', '', '', '0', '1516374729', '1516374729', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('71', 'file', '67', 'user/user/del', 'Del', 'fa fa-circle-o', '', '', '0', '1516374729', '1516374729', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('72', 'file', '67', 'user/user/multi', 'Multi', 'fa fa-circle-o', '', '', '0', '1516374729', '1516374729', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('73', 'file', '66', 'user/group', 'User group', 'fa fa-users', '', '', '1', '1516374729', '1516374729', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('74', 'file', '73', 'user/group/add', 'Add', 'fa fa-circle-o', '', '', '0', '1516374729', '1516374729', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('75', 'file', '73', 'user/group/edit', 'Edit', 'fa fa-circle-o', '', '', '0', '1516374729', '1516374729', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('76', 'file', '73', 'user/group/index', 'View', 'fa fa-circle-o', '', '', '0', '1516374729', '1516374729', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('77', 'file', '73', 'user/group/del', 'Del', 'fa fa-circle-o', '', '', '0', '1516374729', '1516374729', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('78', 'file', '73', 'user/group/multi', 'Multi', 'fa fa-circle-o', '', '', '0', '1516374729', '1516374729', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('79', 'file', '66', 'user/rule', 'User rule', 'fa fa-circle-o', '', '', '1', '1516374729', '1516374729', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('80', 'file', '79', 'user/rule/index', 'View', 'fa fa-circle-o', '', '', '0', '1516374729', '1516374729', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('81', 'file', '79', 'user/rule/del', 'Del', 'fa fa-circle-o', '', '', '0', '1516374729', '1516374729', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('82', 'file', '79', 'user/rule/add', 'Add', 'fa fa-circle-o', '', '', '0', '1516374729', '1516374729', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('83', 'file', '79', 'user/rule/edit', 'Edit', 'fa fa-circle-o', '', '', '0', '1516374729', '1516374729', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('84', 'file', '79', 'user/rule/multi', 'Multi', 'fa fa-circle-o', '', '', '0', '1516374729', '1516374729', '0', 'normal');
INSERT INTO `fa_auth_rule` VALUES ('85', 'file', '0', 'leaving', '留言管理', 'fa fa-circle-o', '', '留言管理', '1', '1615105958', '1615106098', '0', 'normal');

-- ----------------------------
-- Table structure for fa_category
-- ----------------------------
DROP TABLE IF EXISTS `fa_category`;
CREATE TABLE `fa_category` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `pid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '父ID',
  `type` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '栏目类型',
  `name` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `nickname` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `flag` set('hot','index','recommend') COLLATE utf8mb4_unicode_ci DEFAULT '',
  `image` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '图片',
  `keywords` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '关键字',
  `description` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '描述',
  `diyname` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '自定义名称',
  `createtime` int(10) DEFAULT NULL COMMENT '创建时间',
  `updatetime` int(10) DEFAULT NULL COMMENT '更新时间',
  `weigh` int(10) NOT NULL DEFAULT '0' COMMENT '权重',
  `status` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '状态',
  PRIMARY KEY (`id`),
  KEY `weigh` (`weigh`,`id`),
  KEY `pid` (`pid`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='分类表';

-- ----------------------------
-- Records of fa_category
-- ----------------------------
INSERT INTO `fa_category` VALUES ('1', '0', 'page', '官方新闻', 'news', 'recommend', '/assets/img/qrcode.png', '', '', 'news', '1495262190', '1495262190', '1', 'normal');
INSERT INTO `fa_category` VALUES ('2', '0', 'page', '移动应用', 'mobileapp', 'hot', '/assets/img/qrcode.png', '', '', 'mobileapp', '1495262244', '1495262244', '2', 'normal');
INSERT INTO `fa_category` VALUES ('3', '2', 'page', '微信公众号', 'wechatpublic', 'index', '/assets/img/qrcode.png', '', '', 'wechatpublic', '1495262288', '1495262288', '3', 'normal');
INSERT INTO `fa_category` VALUES ('4', '2', 'page', 'Android开发', 'android', 'recommend', '/assets/img/qrcode.png', '', '', 'android', '1495262317', '1495262317', '4', 'normal');
INSERT INTO `fa_category` VALUES ('5', '0', 'page', '软件产品', 'software', 'recommend', '/assets/img/qrcode.png', '', '', 'software', '1495262336', '1499681850', '5', 'normal');
INSERT INTO `fa_category` VALUES ('6', '5', 'page', '网站建站', 'website', 'recommend', '/assets/img/qrcode.png', '', '', 'website', '1495262357', '1495262357', '6', 'normal');
INSERT INTO `fa_category` VALUES ('7', '5', 'page', '企业管理软件', 'company', 'index', '/assets/img/qrcode.png', '', '', 'company', '1495262391', '1495262391', '7', 'normal');
INSERT INTO `fa_category` VALUES ('8', '6', 'page', 'PC端', 'website-pc', 'recommend', '/assets/img/qrcode.png', '', '', 'website-pc', '1495262424', '1495262424', '8', 'normal');
INSERT INTO `fa_category` VALUES ('9', '6', 'page', '移动端', 'website-mobile', 'recommend', '/assets/img/qrcode.png', '', '', 'website-mobile', '1495262456', '1495262456', '9', 'normal');
INSERT INTO `fa_category` VALUES ('10', '7', 'page', 'CRM系统 ', 'company-crm', 'recommend', '/assets/img/qrcode.png', '', '', 'company-crm', '1495262487', '1495262487', '10', 'normal');
INSERT INTO `fa_category` VALUES ('11', '7', 'page', 'SASS平台软件', 'company-sass', 'recommend', '/assets/img/qrcode.png', '', '', 'company-sass', '1495262515', '1495262515', '11', 'normal');
INSERT INTO `fa_category` VALUES ('12', '0', 'test', '测试1', 'test1', 'recommend', '/assets/img/qrcode.png', '', '', 'test1', '1497015727', '1497015727', '12', 'normal');
INSERT INTO `fa_category` VALUES ('13', '0', 'test', '测试2', 'test2', 'recommend', '/assets/img/qrcode.png', '', '', 'test2', '1497015738', '1497015738', '13', 'normal');
INSERT INTO `fa_category` VALUES ('14', '0', 'default', '文章', '文章', 'hot,index,recommend', '/uploads/20210306/d0efcc58e71ca4dde16e33a34d55409e.png', '文章', '文章', '', '1615017689', '1615017689', '14', 'normal');

-- ----------------------------
-- Table structure for fa_config
-- ----------------------------
DROP TABLE IF EXISTS `fa_config`;
CREATE TABLE `fa_config` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '变量名',
  `group` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '分组',
  `title` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '变量标题',
  `tip` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '变量描述',
  `type` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '类型:string,text,int,bool,array,datetime,date,file',
  `value` text COLLATE utf8mb4_unicode_ci COMMENT '变量值',
  `content` text COLLATE utf8mb4_unicode_ci COMMENT '变量字典数据',
  `rule` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '验证规则',
  `extend` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '扩展属性',
  `setting` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '配置',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='系统配置';

-- ----------------------------
-- Records of fa_config
-- ----------------------------
INSERT INTO `fa_config` VALUES ('1', 'name', 'basic', 'Site name', '请填写站点名称', 'string', '鹿马108官网', '', 'required', '', '');
INSERT INTO `fa_config` VALUES ('2', 'beian', 'basic', 'Beian', '粤ICP备15000000号-1', 'string', '', '', '', '', '');
INSERT INTO `fa_config` VALUES ('3', 'cdnurl', 'basic', 'Cdn url', '如果全站静态资源使用第三方云储存请配置该值', 'string', '', '', '', '', '');
INSERT INTO `fa_config` VALUES ('4', 'version', 'basic', 'Version', '如果静态资源有变动请重新配置该值', 'string', '1.0.1', '', 'required', '', '');
INSERT INTO `fa_config` VALUES ('5', 'timezone', 'basic', 'Timezone', '', 'string', 'Asia/Shanghai', '', 'required', '', '');
INSERT INTO `fa_config` VALUES ('6', 'forbiddenip', 'basic', 'Forbidden ip', '一行一条记录', 'text', '', '', '', '', '');
INSERT INTO `fa_config` VALUES ('7', 'languages', 'basic', 'Languages', '', 'array', '{\"backend\":\"zh-cn\",\"frontend\":\"zh-cn\"}', '', 'required', '', '');
INSERT INTO `fa_config` VALUES ('8', 'fixedpage', 'basic', 'Fixed page', '请尽量输入左侧菜单栏存在的链接', 'string', 'dashboard', '', 'required', '', '');
INSERT INTO `fa_config` VALUES ('9', 'categorytype', 'dictionary', 'Category type', '', 'array', '{\"default\":\"Default\",\"page\":\"Page\",\"article\":\"Article\",\"test\":\"Test\"}', '', '', '', '');
INSERT INTO `fa_config` VALUES ('10', 'configgroup', 'dictionary', 'Config group', '', 'array', '{\"basic\":\"Basic\",\"email\":\"Email\",\"dictionary\":\"Dictionary\",\"user\":\"User\",\"example\":\"Example\"}', '', '', '', '');
INSERT INTO `fa_config` VALUES ('11', 'mail_type', 'email', 'Mail type', '选择邮件发送方式', 'select', '1', '[\"请选择\",\"SMTP\"]', '', '', '');
INSERT INTO `fa_config` VALUES ('12', 'mail_smtp_host', 'email', 'Mail smtp host', '错误的配置发送邮件会导致服务器超时', 'string', 'smtp.qq.com', '', '', '', '');
INSERT INTO `fa_config` VALUES ('13', 'mail_smtp_port', 'email', 'Mail smtp port', '(不加密默认25,SSL默认465,TLS默认587)', 'string', '465', '', '', '', '');
INSERT INTO `fa_config` VALUES ('14', 'mail_smtp_user', 'email', 'Mail smtp user', '（填写完整用户名）', 'string', '10000', '', '', '', '');
INSERT INTO `fa_config` VALUES ('15', 'mail_smtp_pass', 'email', 'Mail smtp password', '（填写您的密码或授权码）', 'string', 'password', '', '', '', '');
INSERT INTO `fa_config` VALUES ('16', 'mail_verify_type', 'email', 'Mail vertify type', '（SMTP验证方式[推荐SSL]）', 'select', '2', '[\"无\",\"TLS\",\"SSL\"]', '', '', '');
INSERT INTO `fa_config` VALUES ('17', 'mail_from', 'email', 'Mail from', '', 'string', '10000@qq.com', '', '', '', '');

-- ----------------------------
-- Table structure for fa_devleavlog
-- ----------------------------
DROP TABLE IF EXISTS `fa_devleavlog`;
CREATE TABLE `fa_devleavlog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `projectname` varchar(255) DEFAULT NULL COMMENT '项目名称',
  `fullname` varchar(255) DEFAULT NULL COMMENT '姓名',
  `phone` varchar(255) DEFAULT NULL COMMENT '电话',
  `corporatename` varchar(255) DEFAULT NULL COMMENT '公司名称',
  `addtime` int(10) DEFAULT NULL COMMENT '添加时间',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of fa_devleavlog
-- ----------------------------
INSERT INTO `fa_devleavlog` VALUES ('1', '给珠穆朗玛峰装电梯', '谢义尚', '15070026795', '小谢网络', '1615104239');
INSERT INTO `fa_devleavlog` VALUES ('2', '定制网页开发', '小谢', '15070026795', '三十岁', '1615104333');
INSERT INTO `fa_devleavlog` VALUES ('3', '定制小程序开发', '小谢', '1507026795', '小谢搜索', '1615104353');
INSERT INTO `fa_devleavlog` VALUES ('4', '小程序开发', '小谢说', '15070026795', '哈哈哈哈', '1615104406');
INSERT INTO `fa_devleavlog` VALUES ('5', '定制APP开发', '小谢', '15070026795', '江西多思盈信息科技有限公司', '1615104452');
INSERT INTO `fa_devleavlog` VALUES ('6', '给长城砌瓷砖', '谢义尚', '15070026654', '小谢搜索是', '1615104707');
INSERT INTO `fa_devleavlog` VALUES ('7', '给太平洋做水污染处理', '小谢', '15979181982', '小谢搜索搜索fff', '1615104856');

-- ----------------------------
-- Table structure for fa_ems
-- ----------------------------
DROP TABLE IF EXISTS `fa_ems`;
CREATE TABLE `fa_ems` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `event` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '事件',
  `email` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '邮箱',
  `code` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '验证码',
  `times` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '验证次数',
  `ip` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT 'IP',
  `createtime` int(10) DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='邮箱验证码表';

-- ----------------------------
-- Records of fa_ems
-- ----------------------------

-- ----------------------------
-- Table structure for fa_leaveamsg
-- ----------------------------
DROP TABLE IF EXISTS `fa_leaveamsg`;
CREATE TABLE `fa_leaveamsg` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `fullname` varchar(255) DEFAULT NULL COMMENT '姓名',
  `gender` varchar(255) DEFAULT NULL COMMENT '性别 1男 0女',
  `region` varchar(255) DEFAULT NULL COMMENT '省市',
  `userqq` varchar(255) DEFAULT NULL COMMENT 'qq',
  `phone` varchar(255) DEFAULT NULL COMMENT '电话',
  `email` varchar(255) DEFAULT NULL COMMENT '邮箱',
  `content` varchar(255) DEFAULT NULL COMMENT '留言内容',
  `addtime` int(11) DEFAULT NULL COMMENT '添加时间',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of fa_leaveamsg
-- ----------------------------
INSERT INTO `fa_leaveamsg` VALUES ('11', '小谢', '1', '辽宁省-大连市', '11122222', '15070026795', '1241058165@qq.com', '三十岁', '1615102528');
INSERT INTO `fa_leaveamsg` VALUES ('12', '小谢', '0', '辽宁省-沈阳市', '哈哈哈', '15070026795', '1241058165@qq.com', '三十岁', '1615102560');
INSERT INTO `fa_leaveamsg` VALUES ('13', '小谢', '0', '北京市-北京市', '15070026795', '15070026795', '1241058165@qq.com', '三十岁', '1615102688');
INSERT INTO `fa_leaveamsg` VALUES ('14', '小谢', '0', '山西省-阳泉市', '1241058165', '15070026795', '1241058165@qq.com', '搜索', '1615102737');

-- ----------------------------
-- Table structure for fa_news
-- ----------------------------
DROP TABLE IF EXISTS `fa_news`;
CREATE TABLE `fa_news` (
  `news_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '文章id',
  `news_img` varchar(200) DEFAULT NULL COMMENT '文章图片',
  `news_title` varchar(200) DEFAULT NULL COMMENT '文章标题',
  `secondary_title` varchar(200) DEFAULT NULL,
  `news_comtent` text COMMENT '文章内容',
  `news_createtime` int(10) DEFAULT '0' COMMENT '创建时间',
  `news_view` int(15) DEFAULT '0' COMMENT '浏览量',
  `news_sort` int(15) DEFAULT '0' COMMENT '排序',
  PRIMARY KEY (`news_id`)
) ENGINE=MyISAM AUTO_INCREMENT=118 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of fa_news
-- ----------------------------
INSERT INTO `fa_news` VALUES ('1', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '99', '1');
INSERT INTO `fa_news` VALUES ('2', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('3', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('4', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('5', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('6', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('7', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('8', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('9', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('10', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('11', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('12', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('13', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('14', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('15', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('16', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('17', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('18', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('19', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('20', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('21', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('22', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('23', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('24', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('25', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('26', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('27', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('28', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('29', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('30', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('31', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('32', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('33', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('34', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('35', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('36', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('37', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('38', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('39', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('40', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('41', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('42', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('43', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('44', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('45', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('46', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('47', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('48', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('49', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('50', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('51', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('52', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('53', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('54', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('55', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('56', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('57', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('58', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('59', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('60', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('61', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('62', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('63', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('64', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('65', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('66', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('67', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('68', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('69', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('70', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('71', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('72', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('73', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('74', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('75', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('76', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('77', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('78', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('79', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('80', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('81', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('82', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('83', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('84', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('85', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('86', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('87', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('88', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('89', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('90', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('91', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('92', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('93', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('94', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('95', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('96', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('97', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('98', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('99', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('100', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('101', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('102', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('103', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('104', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('105', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('106', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('107', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('108', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('109', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('110', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('111', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('112', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('113', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('114', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('115', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('116', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');
INSERT INTO `fa_news` VALUES ('117', '/static/images/news/newss.jpg', '鹿马优礼 | 云南咖啡小粒多种口味，低至29元！\r\n\r\n', '二级标题哈哈啊哈哈哈哈哈哈哈哈哈哈哈哈哈', '<section>\r\n    <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">强烈推荐</span>\r\n</section>\r\n<p>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">真的特别便宜，</span>价格实惠\r\n    </section>\r\n    <section>\r\n        卡布奇诺味道我已经喝完了\r\n    </section>\r\n    <section>\r\n        每天来一两杯,特别满足\r\n    </section>\r\n    <section>\r\n        我现在喝的是巧克力味道的\r\n    </section>\r\n    <section>\r\n        股超级香甜的巧克力味道，\r\n    </section>\r\n    <section>\r\n        但是冲泡以后并不是甜腻腻的\r\n    </section>\r\n    <section>\r\n        而且微微有点苦味，偶尔我也会加奶泡！\r\n    </section>\r\n    <section>\r\n        <span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">点击购买</strong></span><br/>\r\n    </section>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <span class=\"weapp_display_element js_weapp_display_element\" style=\"margin: 1em 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card app_context pages_reset appmsg_card_context appmsg_card_active\" style=\"margin: 0px; padding: 12px 0px 0px; max-width: 100%; line-height: 1.6; font-size: 16px; letter-spacing: normal; text-align: left; position: relative; background-color: rgb(247, 247, 247); border-radius: 8px; user-select: none; cursor: pointer; overflow: visible; display: block; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"weapp_card_bd\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_profile flex_context\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; -webkit-box-align: center; align-items: center; font-size: 14px; color: rgb(136, 136, 136);\"><span class=\"radius_avatar weapp_card_avatar\" style=\"margin: -0.2em 6px 0px 0px; padding: 0px; display: inline-block; background-color: rgb(255, 255, 255); border-radius: 50%; overflow: hidden; vertical-align: middle; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 20px; height: 20px;\"><img src=\"http://mmbiz.qpic.cn/mmbiz_png/2FFBAmbdM1RDibZmE8CjQv4swaCNUWqnkPdiciaXRrR4TfmuKFpp0wcktQaViaTicPxAIbbyATmtzzpFk4oN1tbqrxw/640?wx_fmt=png&wxfrom=200\"/></span><span class=\"flex_bd\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word; -webkit-box-flex: 1; flex: 1 1 0%; min-width: 0px;\"><span class=\"weapp_card_nickname_wrp\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: inline-block; vertical-align: top;\"><span class=\"weapp_card_nickname\" style=\"margin: 0px; padding: 0px; max-width: 100%; overflow-wrap: normal; display: block; width: auto; overflow: hidden; text-overflow: ellipsis; box-sizing: border-box !important;\">鹿马108</span></span></span></span><span class=\"weapp_card_info\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block;\"><span class=\"weapp_card_title\" style=\"margin: 0px; padding: 8px 0px 12px; max-width: 100%; display: -webkit-box; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 2; box-sizing: border-box !important; overflow-wrap: break-word !important;\">点击购买~</span><span class=\"weapp_card_thumb_wrp\" style=\"margin: 0px; padding: 0px 0px 416px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; position: relative; display: block; overflow: hidden; background-repeat: no-repeat; background-position: center center; background-size: cover; border-radius: 2px; background-image: url(&quot;http://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibnaviabO7w7wqMkRFJOtQekfNVxakXUOJOhOUKgdzTRoGDutPlEV8KEE7tib5S90LlKloic9ibmVyFdlA/0?wx_fmt=jpeg&quot;);\"></span></span></span><span class=\"weapp_card_ft\" style=\"margin: 0px; padding: 0px 12px 8px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: block; line-height: 1.3;\"><span class=\"weapp_card_logo\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(136, 136, 136); font-size: 14px;\">小程序</span></span></span></span>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt7DHSuHLcpwAEmNws6m3MW8tAySia0BQ67Pk0vsezpPbicXEY9Fu4kYow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKto7xlNDCy1U6dPXm40JufCYKxepMu4IAAbH2cp5lR90xyopYj0EgTWw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtzBhaAms2AocJLjKyL97nkDD7R3YhwYsbDCapyOsqBw4mBlW4IT4jvw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKticj3jicJib5o3xf6Nhmp42cIzm2fuNPxncEUprQLJXND1YSrb2GWbT6iag/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtPzsSjghnzaySvWxPIBUuOFKn7LRBxKb2VYQ25x8hRibVZdV83kuHKLQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt4IFlHFPIF4Jgic6ic3KDE02QOfXJBFjrQYCoGx3hAZsCTAXR5JL4zPow/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtK7cK0n7Gs43QgMWn4IqZk77zr1ux8LMWWk4zDFBqYdTANlgyTNoLwQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtLt9CtGJAcKoDVFcksFn89bpHoYWOgh7Sn3NsPBYxofBvxiaeiarq3uuw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKt2gmRq456ylgNQoKBgSNcW5ia78ic8xryTXFhBgpqp8O1icdqmr4I4ZHTw/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">\r\n    <img class=\"rich_pages\" src=\"https://mmbiz.qpic.cn/mmbiz_jpg/tlDy93jb9ibm15J1nSL5ZKkvRibIy5gtKtEVjaiciaXaU2eZ5LibX2MoT2ia3bB3V7OLlXYkWH8oSVMqHfk4HOVoicrvg/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1\" alt=\"图片\"/>\r\n</p>\r\n<p>\r\n    <br/>\r\n</p>', '1615078063', '0', '0');

-- ----------------------------
-- Table structure for fa_sms
-- ----------------------------
DROP TABLE IF EXISTS `fa_sms`;
CREATE TABLE `fa_sms` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `event` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '事件',
  `mobile` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '手机号',
  `code` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '验证码',
  `times` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '验证次数',
  `ip` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT 'IP',
  `createtime` int(10) unsigned DEFAULT '0' COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='短信验证码表';

-- ----------------------------
-- Records of fa_sms
-- ----------------------------

-- ----------------------------
-- Table structure for fa_test
-- ----------------------------
DROP TABLE IF EXISTS `fa_test`;
CREATE TABLE `fa_test` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `admin_id` int(10) NOT NULL DEFAULT '0' COMMENT '管理员ID',
  `category_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '分类ID(单选)',
  `category_ids` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '分类ID(多选)',
  `week` enum('monday','tuesday','wednesday') COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '星期(单选):monday=星期一,tuesday=星期二,wednesday=星期三',
  `flag` set('hot','index','recommend') COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '标志(多选):hot=热门,index=首页,recommend=推荐',
  `genderdata` enum('male','female') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'male' COMMENT '性别(单选):male=男,female=女',
  `hobbydata` set('music','reading','swimming') COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '爱好(多选):music=音乐,reading=读书,swimming=游泳',
  `title` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '标题',
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '内容',
  `image` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '图片',
  `images` varchar(1500) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '图片组',
  `attachfile` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '附件',
  `keywords` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '关键字',
  `description` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '描述',
  `city` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '省市',
  `json` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '配置:key=名称,value=值',
  `price` float(10,2) unsigned NOT NULL DEFAULT '0.00' COMMENT '价格',
  `views` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '点击',
  `startdate` date DEFAULT NULL COMMENT '开始日期',
  `activitytime` datetime DEFAULT NULL COMMENT '活动时间(datetime)',
  `year` year(4) DEFAULT NULL COMMENT '年',
  `times` time DEFAULT NULL COMMENT '时间',
  `refreshtime` int(10) DEFAULT NULL COMMENT '刷新时间(int)',
  `createtime` int(10) DEFAULT NULL COMMENT '创建时间',
  `updatetime` int(10) DEFAULT NULL COMMENT '更新时间',
  `deletetime` int(10) DEFAULT NULL COMMENT '删除时间',
  `weigh` int(10) NOT NULL DEFAULT '0' COMMENT '权重',
  `switch` tinyint(1) NOT NULL DEFAULT '0' COMMENT '开关',
  `status` enum('normal','hidden') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'normal' COMMENT '状态',
  `state` enum('0','1','2') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1' COMMENT '状态值:0=禁用,1=正常,2=推荐',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='测试表';

-- ----------------------------
-- Records of fa_test
-- ----------------------------
INSERT INTO `fa_test` VALUES ('1', '0', '12', '12,13', 'monday', 'hot,index', 'male', 'music,reading', '我是一篇测试文章', '<p>我是测试内容</p>', '/assets/img/avatar.png', '/assets/img/avatar.png,/assets/img/qrcode.png', '/assets/img/avatar.png', '关键字', '描述', '广西壮族自治区/百色市/平果县', '{\"a\":\"1\",\"b\":\"2\"}', '0.00', '0', '2017-07-10', '2017-07-10 18:24:45', '2017', '18:24:45', '1499682285', '1499682526', '1499682526', null, '0', '1', 'normal', '1');

-- ----------------------------
-- Table structure for fa_user
-- ----------------------------
DROP TABLE IF EXISTS `fa_user`;
CREATE TABLE `fa_user` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `group_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '组别ID',
  `username` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '用户名',
  `nickname` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '昵称',
  `password` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '密码',
  `salt` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '密码盐',
  `email` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '电子邮箱',
  `mobile` varchar(11) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '手机号',
  `avatar` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '头像',
  `level` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '等级',
  `gender` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '性别',
  `birthday` date DEFAULT NULL COMMENT '生日',
  `bio` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '格言',
  `money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '余额',
  `score` int(10) NOT NULL DEFAULT '0' COMMENT '积分',
  `successions` int(10) unsigned NOT NULL DEFAULT '1' COMMENT '连续登录天数',
  `maxsuccessions` int(10) unsigned NOT NULL DEFAULT '1' COMMENT '最大连续登录天数',
  `prevtime` int(10) DEFAULT NULL COMMENT '上次登录时间',
  `logintime` int(10) DEFAULT NULL COMMENT '登录时间',
  `loginip` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '登录IP',
  `loginfailure` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '失败次数',
  `joinip` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '加入IP',
  `jointime` int(10) DEFAULT NULL COMMENT '加入时间',
  `createtime` int(10) DEFAULT NULL COMMENT '创建时间',
  `updatetime` int(10) DEFAULT NULL COMMENT '更新时间',
  `token` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT 'Token',
  `status` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '状态',
  `verification` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '验证',
  PRIMARY KEY (`id`),
  KEY `username` (`username`),
  KEY `email` (`email`),
  KEY `mobile` (`mobile`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='会员表';

-- ----------------------------
-- Records of fa_user
-- ----------------------------
INSERT INTO `fa_user` VALUES ('1', '1', 'admin', 'admin', '033be0f464856190a896fd2a3bb7dfc1', 'a3360c', 'admin@163.com', '13888888888', '', '0', '0', '2017-04-15', '', '0.00', '0', '1', '1', '1516170492', '1516171614', '127.0.0.1', '0', '127.0.0.1', '1491461418', '0', '1516171614', '', 'normal', '');

-- ----------------------------
-- Table structure for fa_user_group
-- ----------------------------
DROP TABLE IF EXISTS `fa_user_group`;
CREATE TABLE `fa_user_group` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '组名',
  `rules` text COLLATE utf8mb4_unicode_ci COMMENT '权限节点',
  `createtime` int(10) DEFAULT NULL COMMENT '添加时间',
  `updatetime` int(10) DEFAULT NULL COMMENT '更新时间',
  `status` enum('normal','hidden') COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='会员组表';

-- ----------------------------
-- Records of fa_user_group
-- ----------------------------
INSERT INTO `fa_user_group` VALUES ('1', '默认组', '1,2,3,4,5,6,7,8,9,10,11,12', '1515386468', '1516168298', 'normal');

-- ----------------------------
-- Table structure for fa_user_money_log
-- ----------------------------
DROP TABLE IF EXISTS `fa_user_money_log`;
CREATE TABLE `fa_user_money_log` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '会员ID',
  `money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '变更余额',
  `before` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '变更前余额',
  `after` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '变更后余额',
  `memo` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '备注',
  `createtime` int(10) DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='会员余额变动表';

-- ----------------------------
-- Records of fa_user_money_log
-- ----------------------------

-- ----------------------------
-- Table structure for fa_user_rule
-- ----------------------------
DROP TABLE IF EXISTS `fa_user_rule`;
CREATE TABLE `fa_user_rule` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `pid` int(10) DEFAULT NULL COMMENT '父ID',
  `name` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '名称',
  `title` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '标题',
  `remark` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '备注',
  `ismenu` tinyint(1) DEFAULT NULL COMMENT '是否菜单',
  `createtime` int(10) DEFAULT NULL COMMENT '创建时间',
  `updatetime` int(10) DEFAULT NULL COMMENT '更新时间',
  `weigh` int(10) DEFAULT '0' COMMENT '权重',
  `status` enum('normal','hidden') COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='会员规则表';

-- ----------------------------
-- Records of fa_user_rule
-- ----------------------------
INSERT INTO `fa_user_rule` VALUES ('1', '0', 'index', 'Frontend', '', '1', '1516168079', '1516168079', '1', 'normal');
INSERT INTO `fa_user_rule` VALUES ('2', '0', 'api', 'API Interface', '', '1', '1516168062', '1516168062', '2', 'normal');
INSERT INTO `fa_user_rule` VALUES ('3', '1', 'user', 'User Module', '', '1', '1515386221', '1516168103', '12', 'normal');
INSERT INTO `fa_user_rule` VALUES ('4', '2', 'user', 'User Module', '', '1', '1515386221', '1516168092', '11', 'normal');
INSERT INTO `fa_user_rule` VALUES ('5', '3', 'index/user/login', 'Login', '', '0', '1515386247', '1515386247', '5', 'normal');
INSERT INTO `fa_user_rule` VALUES ('6', '3', 'index/user/register', 'Register', '', '0', '1515386262', '1516015236', '7', 'normal');
INSERT INTO `fa_user_rule` VALUES ('7', '3', 'index/user/index', 'User Center', '', '0', '1516015012', '1516015012', '9', 'normal');
INSERT INTO `fa_user_rule` VALUES ('8', '3', 'index/user/profile', 'Profile', '', '0', '1516015012', '1516015012', '4', 'normal');
INSERT INTO `fa_user_rule` VALUES ('9', '4', 'api/user/login', 'Login', '', '0', '1515386247', '1515386247', '6', 'normal');
INSERT INTO `fa_user_rule` VALUES ('10', '4', 'api/user/register', 'Register', '', '0', '1515386262', '1516015236', '8', 'normal');
INSERT INTO `fa_user_rule` VALUES ('11', '4', 'api/user/index', 'User Center', '', '0', '1516015012', '1516015012', '10', 'normal');
INSERT INTO `fa_user_rule` VALUES ('12', '4', 'api/user/profile', 'Profile', '', '0', '1516015012', '1516015012', '3', 'normal');

-- ----------------------------
-- Table structure for fa_user_score_log
-- ----------------------------
DROP TABLE IF EXISTS `fa_user_score_log`;
CREATE TABLE `fa_user_score_log` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '会员ID',
  `score` int(10) NOT NULL DEFAULT '0' COMMENT '变更积分',
  `before` int(10) NOT NULL DEFAULT '0' COMMENT '变更前积分',
  `after` int(10) NOT NULL DEFAULT '0' COMMENT '变更后积分',
  `memo` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '备注',
  `createtime` int(10) DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='会员积分变动表';

-- ----------------------------
-- Records of fa_user_score_log
-- ----------------------------

-- ----------------------------
-- Table structure for fa_user_token
-- ----------------------------
DROP TABLE IF EXISTS `fa_user_token`;
CREATE TABLE `fa_user_token` (
  `token` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Token',
  `user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '会员ID',
  `createtime` int(10) DEFAULT NULL COMMENT '创建时间',
  `expiretime` int(10) DEFAULT NULL COMMENT '过期时间',
  PRIMARY KEY (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='会员Token表';

-- ----------------------------
-- Records of fa_user_token
-- ----------------------------

-- ----------------------------
-- Table structure for fa_version
-- ----------------------------
DROP TABLE IF EXISTS `fa_version`;
CREATE TABLE `fa_version` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `oldversion` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '旧版本号',
  `newversion` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '新版本号',
  `packagesize` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '包大小',
  `content` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '升级内容',
  `downloadurl` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '下载地址',
  `enforce` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '强制更新',
  `createtime` int(10) DEFAULT NULL COMMENT '创建时间',
  `updatetime` int(10) DEFAULT NULL COMMENT '更新时间',
  `weigh` int(10) NOT NULL DEFAULT '0' COMMENT '权重',
  `status` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '状态',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='版本表';

-- ----------------------------
-- Records of fa_version
-- ----------------------------
